Announcement

Collapse
No announcement yet.

Request: Tell developers vB5 is stable

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Request: Tell developers vB5 is stable

    The #1 complaint I hear from developers who write an add-on for vB5 is that each dot release breaks their code, and that they are sick of constantly having to deal with this. It would be great if 1) More work can be done to make sure there is compatibility between releases so developer's add-ons don't break, and 2) You could commit to developers that the product is stable enough to write for. This would hopefully convince more developers to port their add-ons from 4.x to 5.x.

  • #2
    What we really need is a replacement for the plugin system, and a laundry list of other things. But that first one is probably the highest on the list.

    Comment


    • #3
      I'd love to see more vbulletin 5 add-ons for vbulletin.org

      Comment


      • #4
        Originally posted by DisasterDotCom View Post
        The #1 complaint I hear from developers who write an add-on for vB5 is that each dot release breaks their code,
        You're confusing vB5 with the early days of vB4.

        There are hardly any developers who code for vB5, and there are hardly any addons that could be broken. And simply telling coders "hey guys, this now is stable and great to code for" won't change anything, really. Sorry, but that seems a bit naive - coders normally are quite able to judge the stability and/or quality and/or coder-friendliness of a system quite on their own. Actually, they have done just that (return to sentence on of this paragraph).

        Comment


        • #5
          Originally posted by DisasterDotCom View Post
          The #1 complaint I hear from developers who write an add-on for vB5 is that each dot release breaks their code, and that they are sick of constantly having to deal with this.
          Isn't that the job, of a developer, to a major extent, to code and make it work accordingly?

          To convince developers to code addons for vb5 is easy: give them your money.

          Comment


          • #6
            Originally posted by Zachery View Post
            What we really need is a replacement for the plugin system.
            This.


            While the new template hooks are an improvement on vB4, the removal of the plugin system has made it very difficult to add anything complex (or even anything simple in many cases).

            The extensions system just doesnt have the flexibility thats required.
            Unfortunately, with the resources that now exist, its probably going to be a very long time before anything changes.


            Baby, I was born this way

            Comment


            • Guest's Avatar
              Guest commented
              Editing a comment
              Hmmmm, (too) few people / coders assigned to vB5?!

          Related Topics

          Collapse

          Working...
          X